/**
 * GoogleChart API interface driver. (Version 0.0.1)
 *
 * Copyright (C) 2010 Shinichiro Nakamura (CuBeatSystems)
 * http://shinta.main.jp/
 */

#ifndef _AXIS_H_
#define _AXIS_H_

class Axis {
public:
    typedef enum {
        Bottom,
        Left,
        Right,
        Top
    } Type;
    
    Axis(int number, Type type = Bottom);
    ~Axis();
    
    int getNumber() const;
    void setType(Type type);
    Type getType() const;
    void setRangeStart(int rangeStart);
    int getRangeStart() const;
    void setRangeEnd(int rangeEnd);
    int getRangeEnd() const;
    
private:

    const int number;
    Type type;
    int rangeStart;
    int rangeEnd;
};

#endif
